---
title: 'About Me'
showMetadata: false
---

Hello there.

I am Matúš [ˈmatuːʃ]. I am a Machine Learning Engineer based in Darmstadt, Germany. I focus on MLOps bridging the gap between Data Science, DevOps and Software Engineering. I am interested in broad range of topics including Machine Learning, Cloud, DevOps, Linux and open source. 

After graduating in Artificial Intelligence and Natural Language Processing I joined Konica Minolta in Brno, Czechia, where I worked as an R&D Engineer developing a Python application that provides a unified approach for production ML model deployment. I was also deploying ML applications and MLOps tools to the cloud with Docker and Kubernetes which sparked my interest in DevOps and Cloud.

Currently, I work at Telespazio Germany as a Software Engineer. I participated in the development of a Kubeflow based Machine Learning Platform for Spacecraft Operational datasets. Nowadays I am working on a question-answering Chatbot the helps users explain complex documentation.

Here are some interesting projects that I'm working on in my free time:

* [k3s-configs](https://git.namesny.com/Cluster/k3s-configs) - Kustomize manifests for my self-hosted cluster.
* [neural-nets](https://github.com/LordMathis/neural-nets) - Small neural network library written in C from scratch.
* [GitEcho](https://github.com/LordMathis/GitEcho) - Backup tool for git repositories.
* [CUDANet](https://github.com/LordMathis/CUDANet) - Convolutional neural network library with CUDA support.

I also maintain two themes for [Hugo](https://gohugo.io), a static site generator:

* [Nix](https://github.com/LordMathis/hugo-theme-nix)
* [Nightfall](https://github.com/LordMathis/hugo-theme-nightfall) 
